Subject: Re: [PATCH/RFC 1/2] fetch-pack: new option to read refs from stdin

From: Ivan Todoroski <[email-masked]>
Date: Mon, 26 Mar 2012 19:49:59 +0200

On 26.03.2012 19:21, Jeff King wrote:
> On Sun, Mar 25, 2012 at 10:00:01PM +0200, Ivan Todoroski wrote:
> 
>> On 25.03.2012 03:19, Jeff King wrote:
>>> On Sat, Mar 24, 2012 at 09:53:26PM +0100, Ivan Todoroski wrote:
>>> I think there is a minor formatting bug in the above. Asciidoc will make
>>> your two paragraphs into a single one, won't it? I think you need to do
>>> the (horribly ugly):
>>>
>>>  --stdin::
>>>      First paragraph.
>>>  +
>>>  Second paragraph.
>> Apparently this works too (i.e. indent the "+" too):
>>
>>   --stdin::
>>       First paragraph.
>>       +
>>       Second paragraph.
> 
> Sadly, it's not quite the same (because I consider the source of your
> version much more readable). The diff of the resulting HTML between my
> version and yours is:
> 
> --- no-indent.html	2012-03-26 13:19:26.206728013 -0400
> +++ indent.html	2012-03-26 13:19:04.270727319 -0400
> @@ -5,7 +5,8 @@
>  <dd>
>  <p>
>      First paragraph.
> +   <br />
> +    Second paragraph.
>  </p>
> -<div class="paragraph"><p>Second paragraph.</p></div>
>  </dd>
>  </dl></div>
> 
> So in your case it is putting in a line break, but not actually starting
> a new paragraph.
> 
> -Peff

Ah, that's too bad. OK, I guess we have two options:

1) Unindent the second paragraph - looks ugly in source but good in 
final output.

2) Just merge the two paragraphs into a single paragraph. It's not that 
much text anyway, it doesn't really *have* to be in two paragraphs.

Let me know which option you prefer.